<!doctype html>
<html lang="de">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">

    <title>CampusOffice-Kalender Sync</title>

    <script language="javascript" type="text/javascript"> 

      function appendVarToSummary(variable) {
        $('#summary').val(function(index, val) {
          return val + "${" + variable + "}";
        })
      }

      window.onload = function() {
        $(function () {
          $('[data-toggle="tooltip"]').tooltip()
        })
      };  
    </script>
  </head>
  <body class="bg-light">
    <div class="container">
      <h1>CampusOffice-Kalender Sync</h1>

      <form action="encrypt.php" method="post">
        <div class="form-group">
          <label for="matr">Matrikelnummer</label>
          <input type="text" class="form-control" id="matr" name="matr" placeholder="Matrikelnummer eingeben" required>
        </div>
        <div class="form-group">
          <label for="pass">Password</label>
          <input type="password" class="form-control" id="pass" name="pass" placeholder="Passwort" aria-describedby="passwordHelp" required>
          <small id="passwordHelp" class="form-text text-muted">We'll never share your password with anyone.</small>
        </div>
        <div class="form-group">
          <label for="summary">Format Zusammenfassung</label>
          
          <div class="input-group">
            <input type="text" class="form-control" id="summary" name="summary" placeholder="Format der Zusammenfassung" aria-describedby="summaryHelp" data-toggle="tooltip" data-html="true" title="Standard, wenn leer gelassen: <code>${[buildingNr|roomNr (roomName)] }${name}</code>">
         
            <div class="input-group-append">
              <button class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Platzhalter</button>
              <div class="dropdown-menu">
                <a class="dropdown-item" onclick="appendVarToSummary('roomNr')">Raumnummer</a>
                <a class="dropdown-item" onclick="appendVarToSummary('roomName')">Raumname</a>
                <div role="separator" class="dropdown-divider"></div>
                <a class="dropdown-item" onclick="appendVarToSummary('buildingNr')">Gebäudenummer</a>
                <a class="dropdown-item" onclick="appendVarToSummary('buildingName')">Gebäudename</a>
                <div role="separator" class="dropdown-divider"></div>
                <a class="dropdown-item" onclick="appendVarToSummary('category')">Kategorie</a>
                <a class="dropdown-item" onclick="appendVarToSummary('name')">Name</a>
              </div>
            </div>
          </div>
          <small id="summaryHelp" class="form-text text-muted">Lege das Format für die Zusammenfassungen der Ereignisse im Kalender fest. Nutze das Dropdown um Platzhalter für entsprechende Variablen hinzuzufügen.<br>
          Variablen und dynamische Inhalte in "dynamischen Blöcken" <code>${...}</code>.<br>
          Strings nur bestehend aus Alphabetzeichen repräsentieren Platzhalter für Variablen.<br>
          Klammern <code>{}</code>,<code>[]</code> und <code>()</code> in dynamischen Blöcken werden nur angezeigt, wenn der Inhalt nicht leer (nur Whitespace ist leer) ist.<br>
          Pipes <code>|</code> in dynamischen Blöcken werden nur angezeigt, wenn der vor oder nach der Pipe stehende Inhalt nicht leer ist.</small>
       
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
    </div>
    
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>
  </body>
</html>